import PropTypes from 'prop-types';
declare const CodeHighlight: {
    ({ code, className, language }: {
        code: any;
        className: any;
        language?: string;
    }): import("react/jsx-runtime").JSX.Element;
    propTypes: {
        className: PropTypes.Requireable<string>;
        code: PropTypes.Requireable<string>;
    };
};
export default CodeHighlight;
